Bug 26060 - Replace staff interface table sort icons with SVG
Summary: Replace staff interface table sort icons with SVG
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-24 15:00 UTC by Owen Leonard
Modified: 2020-08-06 20:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26060: Replace staff interface table sort icons with SVG (3.38 KB, patch)
2020-07-24 15:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26060: Replace staff interface table sort icons with SVG (3.45 KB, patch)
2020-07-27 14:50 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26060: Replace staff interface table sort icons with SVG (3.50 KB, patch)
2020-07-29 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-24 15:00:57 UTC
DataTables in the staff interface have sorting icons added to the headers via a background PNG image in a data-url. I suggest we replace these with SVG images which will look better, especially on higher-resolution screens.
Comment 1 Owen Leonard 2020-07-24 15:16:33 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2020-07-27 14:50:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-07-29 22:05:26 UTC
Created attachment 107542 [details] [review]
Bug 26060: Replace staff interface table sort icons with SVG

This patch modifies the staff interface CSS to convert table sorting
icons from PNG to SVG. These icons are added via background-image
data-urls, so only the SCSS file is modified.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface).

 - Clear your browser cache if necessary
 - View any DataTable in the staff interface, for instance when checking
   out to a patron with existing checkouts, the catalog detail page for
   a title with holdings, the table of saved reports.
 - Confirm that the sorting icons in the table headers look correct in
   each state: Sorted ascending, sorted descending, and unsorted.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-07-29 22:06:13 UTC
Could we have this for the OPAC as well, please? (thinking of the item table especially)
Comment 5 Jonathan Druart 2020-07-30 15:47:31 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-06 20:17:13 UTC
Skipping enchancement for 20.05.x series